using Autofac;
using e_suite.API.Common;
using e_suite.API.Common.repository;
using e_suite.DependencyInjection;
using e_suite.Modules.SiteManager.repository;

namespace e_suite.Modules.SiteManager;

public class IocRegistration : IIocRegistration
{
    public void RegisterTypes(ContainerBuilder builder)
    {
        builder.RegisterType<SiteManagerRepository>().As<ISiteManagerRepository>().InstancePerLifetimeScope();

        builder.RegisterType<SiteManager>().As<ISiteManager>().InstancePerLifetimeScope();
    }
}